You could imstall the Qt packages from the SDK and maybe all appears to be good for a while, but the moment SI tries to install Qt 4.7.4 (and OC 1.7.5 for it) then the problem will reappear.